| OpenCV 3.4.3 Open Source Computer Vision

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::TrackerStateEstimatorAdaBoosting Class Reference
Tracking API

TrackerStateEstimatorAdaBoosting based on ADA-Boosting. More...

`#include "tracker.hpp"`

Inheritance diagram for cv::TrackerStateEstimatorAdaBoosting:

## Classes
class | TrackerAdaBoostingTargetState
| Implementation of the target state for TrackerAdaBoostingTargetState. More...

## Public Member Functions
| TrackerStateEstimatorAdaBoosting (int numClassifer, int initIterations, int nFeatures, Size patchSize, const Rect &ROI)
| Constructor. More...
| ~TrackerStateEstimatorAdaBoosting ()
| Destructor. More...
std::vector< int > | computeReplacedClassifier ()
| Get the list of the weak classifiers that should be replaced. More...
std::vector< int > | computeSelectedWeakClassifier ()
| Get the list of the selected weak classifiers for the classification step. More...
std::vector< int > | computeSwappedClassifier ()
| Get the list of the weak classifiers that replace those to be replaced. More...
Rect | getSampleROI () const
| Get the sampling ROI. More...
void | setCurrentConfidenceMap (ConfidenceMap &confidenceMap)
| Set the current confidenceMap. More...
void | setSampleROI (const Rect &ROI)
| Set the sampling ROI. More...
Public Member Functions inherited from cv::TrackerStateEstimator
virtual | ~TrackerStateEstimator ()
Ptr< TrackerTargetState > | estimate (const std::vector< ConfidenceMap > &confidenceMaps)
| Estimate the most likely target state, return the estimated state. More...
String | getClassName () const
| Get the name of the specific TrackerStateEstimator. More...
void | update (std::vector< ConfidenceMap > &confidenceMaps)
| Update the ConfidenceMap with the scores. More...

## Protected Member Functions
Ptr< TrackerTargetState > | estimateImpl (const std::vector< ConfidenceMap > &confidenceMaps) CV_OVERRIDE
void | updateImpl (std::vector< ConfidenceMap > &confidenceMaps) CV_OVERRIDE

## Protected Attributes
Ptr< StrongClassifierDirectSelection > | boostClassifier
Protected Attributes inherited from cv::TrackerStateEstimator
String | className

## Additional Inherited Members
Static Public Member Functions inherited from cv::TrackerStateEstimator
static Ptr< TrackerStateEstimator > | create (const String &trackeStateEstimatorType)
| Create TrackerStateEstimator by tracker state estimator type. More...

## Detailed Description

TrackerStateEstimatorAdaBoosting based on ADA-Boosting.

## Constructor & Destructor Documentation

## § TrackerStateEstimatorAdaBoosting()

cv::TrackerStateEstimatorAdaBoosting::TrackerStateEstimatorAdaBoosting | ( | int | numClassifer,
|  | int | initIterations,
|  | int | nFeatures,
|  | Size | patchSize,
|  | const Rect & | ROI
| ) |  |

Constructor.

Parameters

  numClassifer | Number of base classifiers
  initIterations | Number of iterations in the initialization
  nFeatures | Number of features/weak classifiers
  patchSize | tracking rect
  ROI | initial ROI

## § ~TrackerStateEstimatorAdaBoosting()

cv::TrackerStateEstimatorAdaBoosting::~TrackerStateEstimatorAdaBoosting | ( |  | ) |

Destructor.

## Member Function Documentation

## § computeReplacedClassifier()

std::vector<int> cv::TrackerStateEstimatorAdaBoosting::computeReplacedClassifier | ( |  | ) |

Get the list of the weak classifiers that should be replaced.

## § computeSelectedWeakClassifier()

std::vector<int> cv::TrackerStateEstimatorAdaBoosting::computeSelectedWeakClassifier | ( |  | ) |

Get the list of the selected weak classifiers for the classification step.

## § computeSwappedClassifier()

std::vector<int> cv::TrackerStateEstimatorAdaBoosting::computeSwappedClassifier | ( |  | ) |

Get the list of the weak classifiers that replace those to be replaced.

## § estimateImpl()

Ptr<TrackerTargetState> cv::TrackerStateEstimatorAdaBoosting::estimateImpl | ( | const std::vector< ConfidenceMap > & | confidenceMaps | ) |
| protected virtual

Implements cv::TrackerStateEstimator.

## § getSampleROI()

Rect cv::TrackerStateEstimatorAdaBoosting::getSampleROI | ( |  | ) | const

Get the sampling ROI.

## § setCurrentConfidenceMap()

void cv::TrackerStateEstimatorAdaBoosting::setCurrentConfidenceMap | ( | ConfidenceMap & | confidenceMap | ) |

Set the current confidenceMap.

Parameters

  confidenceMap | The current :cConfidenceMap

## § setSampleROI()

void cv::TrackerStateEstimatorAdaBoosting::setSampleROI | ( | const Rect & | ROI | ) |

Set the sampling ROI.

Parameters

  ROI | the sampling ROI

## § updateImpl()

void cv::TrackerStateEstimatorAdaBoosting::updateImpl | ( | std::vector< ConfidenceMap > & | confidenceMaps | ) |
| protected virtual

Implements cv::TrackerStateEstimator.

## Member Data Documentation

## § boostClassifier

Ptr<StrongClassifierDirectSelection> cv::TrackerStateEstimatorAdaBoosting::boostClassifier
| protected

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/tracker.hpp